DataOutput
Date: 2016-06-24

java.io

## Interface DataOutput

- All Known Subinterfaces:
    Datagram, ObjectOutput
  All Known Implementing Classes:
    DataOutputStream, ObjectOutputStream, RandomAccessFile

      public interface DataOutput

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(byte[] var0)`
    `void` | `write(byte[] var0, int var1, int var2)`
    `void` | `write(int var0)`
    `void` | `writeBoolean(boolean var0)`
    `void` | `writeByte(int var0)`
    `void` | `writeBytes(String var0)`
    `void` | `writeChar(int var0)`
    `void` | `writeChars(String var0)`
    `void` | `writeDouble(double var0)`
    `void` | `writeFloat(float var0)`
    `void` | `writeInt(int var0)`
    `void` | `writeLong(long var0)`
    `void` | `writeShort(int var0)`
    `void` | `writeUTF(String var0)`

- - ### Method Detail

    - #### write

          void write(int var0)
                     throws IOException

      Throws:
        `IOException`

    - #### write

          void write(byte[] var0)
                     throws IOException

      Throws:
        `IOException`

    - #### write

          void write(byte[] var0,
                   int var1,
                   int var2)
                     throws IOException

      Throws:
        `IOException`

    - #### writeBoolean

          void writeBoolean(boolean var0)
                            throws IOException

      Throws:
        `IOException`

    - #### writeByte

          void writeByte(int var0)
                         throws IOException

      Throws:
        `IOException`

    - #### writeBytes

          void writeBytes(String var0)
                          throws IOException

      Throws:
        `IOException`

    - #### writeChar

          void writeChar(int var0)
                         throws IOException

      Throws:
        `IOException`

    - #### writeChars

          void writeChars(String var0)
                          throws IOException

      Throws:
        `IOException`

    - #### writeDouble

          void writeDouble(double var0)
                           throws IOException

      Throws:
        `IOException`

    - #### writeFloat

          void writeFloat(float var0)
                          throws IOException

      Throws:
        `IOException`

    - #### writeInt

          void writeInt(int var0)
                        throws IOException

      Throws:
        `IOException`

    - #### writeLong

          void writeLong(long var0)
                         throws IOException

      Throws:
        `IOException`

    - #### writeShort

          void writeShort(int var0)
                          throws IOException

      Throws:
        `IOException`

    - #### writeUTF

          void writeUTF(String var0)
                        throws IOException

      Throws:
        `IOException`